Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043483
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2020-03-12 15:492020-04-20 07:15
ReportercbernerView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revisionb3403c38dc21
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043483: Price data introduced in Order Line "Line Net Amount" Field is not invalidated if incorrect

DescriptionIt is possible to introduce invalid price in the field "Line Net Amount" of a certain Order Line, both in Sales Order and Sales Invoice window. The price introduced, will be rounded or modified entirely and it doesn't show an error.

Note: It seems the problem is that there's a callout for that column, "LineNetAmt" and it is using the invalid data and making it valid.

This doesn't happen for example on Product->Price->Unit Price. The data is invalidated if incorrect as there is no callout making it valid. This is the intended behaviour.
Steps To Reproduce1. Open Sales Order or Sales Invoice
2. Create an Order/Invoice
3. Create a line in Lines tab for the order/invoice
4. Choose any product, go to Line Net Amount and enter "1.25.25" and press Tab.

The number has probably been modified to 1.00 and it doesn't show as invalid.

Repeat this process in Product and Unit Price of Price tab, in this case the price introduced is invalidated, as it should be.

A couple of screenshots have been appended on this issue.
Proposed SolutionChange the callout (src\org\openbravo\erpCommon\ad_callouts\SL_Order_Amt.java) so it checks if the input has been invalidated and don't process the data if invalid.
TagsNo tags attached.
Attached Filespng file icon issue1.png [^] (90,939 bytes) 2020-03-12 15:49


png file icon issue2.png [^] (23,641 bytes) 2020-03-12 15:50


png file icon issue3.png [^] (23,884 bytes) 2020-03-12 15:50

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0118552)
salvador_campanella (developer)
2020-03-12 16:18

This problem was reproduced sometimes using the calculator application of windows 10, copying and pasting the value in the field Line Net Amount with Ctrl+C and Ctrl+V keys
(0119166)
alostale (developer)
2020-04-15 07:31

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/59 [^]
(0119228)
hgbot (developer)
2020-04-17 09:35

Repository: erp/devel/pi
Changeset: b3403c38dc217c1bb49831a68e7a871275d45c26
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Tue Apr 14 17:18:03 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b3403c38dc217c1bb49831a68e7a871275d45c26 [^]

Fixes ISSUE-43483: Float number fields invalidated if there are invalid chars

Previously float number fields were not invalidated correctly if there
were characters after a digit. Number is used now instead of parseFloat

Also removes hidden character generated by windows calculator when copy-pasting numbers
This is done so the number can be rounded correctly

---
M modules/org.openbravo.client.application/web-test/ob-utilities-number.test.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-number.js
---

- Issue History
Date Modified Username Field Change
2020-03-12 15:49 cberner New Issue
2020-03-12 15:49 cberner Assigned To => platform
2020-03-12 15:49 cberner File Added: issue1.png
2020-03-12 15:49 cberner Modules => Core
2020-03-12 15:49 cberner Triggers an Emergency Pack => No
2020-03-12 15:50 cberner File Added: issue2.png
2020-03-12 15:50 cberner File Added: issue3.png
2020-03-12 16:18 salvador_campanella Note Added: 0118552
2020-03-12 16:18 salvador_campanella Issue Monitored: salvador_campanella
2020-04-14 17:16 cberner Status new => scheduled
2020-04-14 17:16 cberner Assigned To platform => cberner
2020-04-15 07:30 alostale Review Assigned To => alostale
2020-04-15 07:31 alostale Note Added: 0119166
2020-04-17 09:35 hgbot Checkin
2020-04-17 09:35 hgbot Note Added: 0119228
2020-04-17 09:35 hgbot Status scheduled => resolved
2020-04-17 09:35 hgbot Resolution open => fixed
2020-04-17 09:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b3403c38dc217c1bb49831a68e7a871275d45c26 [^]
2020-04-20 07:15 alostale Status resolved => closed
2020-04-20 07:15 alostale Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker